Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractGroup

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractGroup

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ContractGroup>`, `GuiTitlable`, `Idable`, `ListItem`

    public class ContractGroup
    extends IdTitle
    implements java.lang.Comparable<ContractGroup>

Группа договора

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractGroup()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `compareTo​(ContractGroup o)` |
  `java.lang.String` | `getComment()` |
  `boolean` | `getNotEditable()` | Deprecated. use `isEditable()`
  `boolean` | `isEditable()` | Возвращает свойство редактируемости группы.
  `boolean` | `isEnabled()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setEditable​(boolean editable)` | Устанавливает свойство редактируемости группы
  `void` | `setEnabled​(boolean enabled)` |
  `void` | `setNotEditable​(boolean notEditable)` | Deprecated. use `setEditable(boolean)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractGroup

    public ContractGroup()

- ## Method Details

  - ### isEnabled

    public boolean isEnabled()

  - ### setEnabled

    public void setEnabled​(boolean enabled)

  - ### isEditable

    public boolean isEditable()
    Возвращает свойство редактируемости группы.
    Returns:
      true - редактируемая, false - нередактируемая.

  - ### setEditable

    public void setEditable​(boolean editable)
    Устанавливает свойство редактируемости группы
    Parameters:
      `editable` -

  - ### getNotEditable

    @Deprecated public boolean getNotEditable()
    Deprecated.
    use `isEditable()`
    Возвращает свойство редактируемости группы.
    Returns:
      true - не редактируемая, false - редактируемая.

  - ### setNotEditable

    @Deprecated public void setNotEditable​(boolean notEditable)
    Deprecated.
    use `setEditable(boolean)`
    Устанавливает свойство редактируемости группы
    Parameters:
      `notEditable` -

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### compareTo

    public int compareTo​(ContractGroup o)
    Specified by:
      `compareTo` in interface `java.lang.Comparable<ContractGroup>`